javax.swing.plaf

## Class ScrollPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ScrollPaneUI

- Direct Known Subclasses:
    BasicScrollPaneUI, MultiScrollPaneUI

      public abstract class ScrollPaneUI
      extends ComponentUI

  Pluggable look and feel interface for JScrollPane.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScrollPaneUI()`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScrollPaneUI

          public ScrollPaneUI()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.